---
title: 451 Unavailable For Legal Reasons
slug: Web/HTTP/Status/451
tags:
  - Client error
  - HTTP
  - Reference
  - Status code
---
<p>{{HTTPSidebar}}</p>

<p>The HyperText Transfer Protocol (HTTP) <code><strong>451 Unavailable For Legal Reasons</strong></code> client error response code indicates that the user requested a resource that is not available due to legal reasons, such as a web page for which a legal action has been issued.</p>

<h2 id="Status">Status</h2>

<pre class="syntaxbox notranslate">451 Unavailable For Legal Reasons</pre>

<h2 id="Example">Example</h2>

<p>This example response is taken from the IETF RFC (see below) and contains a reference to {{interwiki("wikipedia", "Monty_Python's_Life_of_Brian", "Monty Python's Life of Brian")}}.</p>

<p><strong>Note:</strong> the {{HTTPHeader("Link")}} header might also contain a <code>rel="blocked-by"</code> relation identifying the entity and implementing blockage, not any other entity mandating it.</p>

<p>Any attempt to identify the entity ultimately responsible for the resource being unavailable belongs in the response body, not in the <code>rel="blocked-by"</code> link. This includes the name of the person or organization that made a legal demand resulting in the content's removal.</p>

<pre class="notranslate">HTTP/1.1 451 Unavailable For Legal Reasons
Link: &lt;https://spqr.example.org/legislatione&gt;; rel="blocked-by"
Content-Type: text/html</pre>

<pre class="notranslate">&lt;html&gt;
      &lt;head&gt;&lt;title&gt;Unavailable For Legal Reasons&lt;/title&gt;&lt;/head&gt;
      &lt;body&gt;
            &lt;h1&gt;Unavailable For Legal Reasons&lt;/h1&gt;
            &lt;p&gt;This request may not be serviced in the Roman Province
            of Judea due to the Lex Julia Majestatis, which disallows
            access to resources hosted on servers deemed to be
            operated by the People's Front of Judea.&lt;/p&gt;
     &lt;/body&gt;
&lt;/html&gt;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("7725", "451 Unavailable For Legal Reasons")}}</td>
   <td>An HTTP Status Code to Report Legal Obstacles</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>The information shown below has been pulled from MDN's GitHub (<a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a>).</p>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.status.451")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{interwiki("wikipedia", "HTTP_451", "Wikipedia: HTTP 451")}}</li>
 <li>{{interwiki("wikipedia", "Fahrenheit_451", "Wikipedia: Fahrenheit 451")}} (which gave this status code its number)</li>
</ul>
